{{- $fullName := include "common.fullname" . -}}
{{- $envVars := include "common.env.transformDict" .Values.envVars -}}
{{- range .Values.jobs.hooks.postInstall }}
---
apiVersion: batch/v1
kind: Job
metadata:
  name: "{{ $fullName }}{{ .suffix }}"
  labels:
    {{- include "common.labels" $ | nindent 4 }}
  annotations:
    "helm.sh/hook": post-install
    {{- with .annotations }}
    {{- toYaml . | nindent 4 }}
    {{- end }}
spec:
  template:
    metadata:
      name: "{{ $fullName }}{{ .suffix }}"
      labels:
    {{- include "common.labels" $ | nindent 8 }}
    {{- with $.Values.podAnnotations }}
      annotations:
      {{- toYaml . | nindent 8 }}
    {{- end }}
    spec:
      restartPolicy: OnFailure
      {{- if $.Values.image.credentials }}
      imagePullSecrets:
        - name: {{ include "common.secret.dockerconfigjson.name" (dict "fullname" $fullName "imageCredentials" $.Values.image.credentials) }}
      {{- end}}
      containers:
        - name: {{ $.Chart.Name }}
          {{- if .image }}
          image: "{{ .image.repository | default $.Values.image.repository }}:{{ .image.tag | default $.Values.image.tag | default $.Chart.AppVersion }}"
          {{- else }}
          image: "{{ $.Values.image.repository }}:{{ $.Values.image.tag | default $.Chart.AppVersion }}"
          {{- end }}
          imagePullPolicy: {{ (.image | default dict).pullPolicy | default $.Values.image.pullPolicy }}
          {{- if $envVars}}
          env:
            {{- $envVars | indent 12 }}
          {{- end }}
          {{- if .command }}
          command:
            {{- toYaml .command | nindent 10 }}
          {{- end }}
          {{- if .args }}
          args:
          {{- toYaml .args | nindent 10 }}
          {{- end }}
          resources:
            {{- toYaml $.Values.resources | nindent 12 }}
{{- end }}
